it.csi.mddtools.guigen

## Interface HeaderMetaAttr

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface HeaderMetaAttr
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Header Meta Attr'.

  The following features are supported:

  - `Name`
  - `Value`
  - `Use Http Equiv`
  See Also:
    `GuigenPackage.getHeaderMetaAttr()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` Returns the value of the 'Name' attribute
    `java.lang.String` | `getValue()` Returns the value of the 'Value' attribute
    `boolean` | `isUseHttpEquiv()` Returns the value of the 'Use Http Equiv' attribute.
    `void` | `setName(java.lang.String value)` Sets the value of the '`Name`' attribute
    `void` | `setUseHttpEquiv(boolean value)` Sets the value of the '`Use Http Equiv`' attribute
    `void` | `setValue(java.lang.String value)` Sets the value of the '`Value`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns the value of the 'Name' attribute.

      If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Name' attribute.
      See Also:
        `setName(String)`, `GuigenPackage.getHeaderMetaAttr_Name()`

    - #### setName

          void setName(java.lang.String value)

      Sets the value of the '`Name`' attribute.
      Parameters:
        `value` - the new value of the 'Name' attribute.
      See Also:
        `getName()`

    - #### getValue

          java.lang.String getValue()

      Returns the value of the 'Value' attribute.

      If the meaning of the 'Value' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Value' attribute.
      See Also:
        `setValue(String)`, `GuigenPackage.getHeaderMetaAttr_Value()`

    - #### setValue

          void setValue(java.lang.String value)

      Sets the value of the '`Value`' attribute.
      Parameters:
        `value` - the new value of the 'Value' attribute.
      See Also:
        `getValue()`

    - #### isUseHttpEquiv

          boolean isUseHttpEquiv()

      Returns the value of the 'Use Http Equiv' attribute. The default value is `"false"`.

      If the meaning of the 'Use Http Equiv' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Use Http Equiv' attribute.
      See Also:
        `setUseHttpEquiv(boolean)`, `GuigenPackage.getHeaderMetaAttr_UseHttpEquiv()`

    - #### setUseHttpEquiv

          void setUseHttpEquiv(boolean value)

      Sets the value of the '`Use Http Equiv`' attribute.
      Parameters:
        `value` - the new value of the 'Use Http Equiv' attribute.
      See Also:
        `isUseHttpEquiv()`